Skip to main content
PUT
/
v1
/
assets
/
{assetTypeName}
/
access_grants
Bulk Add Asset Access Grants
curl --request PUT \
  --url https://api.us.lexful.app/v1/assets/{assetTypeName}/access_grants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "asset_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "grants": [
    {
      "id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
      "subject_type": "user"
    },
    {
      "id": "019983a9-c4c1-7abc-def0-123456789abc",
      "subject_type": "group"
    }
  ]
}
'
import requests

url = "https://api.us.lexful.app/v1/assets/{assetTypeName}/access_grants"

payload = {
"asset_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"grants": [
{
"id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"subject_type": "user"
},
{
"id": "019983a9-c4c1-7abc-def0-123456789abc",
"subject_type": "group"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
grants: [
{id: '019983a9-c4c0-73af-aec9-463feeadc2e7', subject_type: 'user'},
{id: '019983a9-c4c1-7abc-def0-123456789abc', subject_type: 'group'}
]
})
};

fetch('https://api.us.lexful.app/v1/assets/{assetTypeName}/access_grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}
{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

assetTypeName
string
required

Asset type name

Body

application/json
asset_ids
string<uuid>[]
required

Asset IDs to grant access for (max 100)

Required array length: 1 - 100 elements
grants
object[]
required

Array of users or groups to grant or revoke asset access (max 100)

Required array length: 1 - 100 elements
Example:
[
{
"id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"subject_type": "user"
},
{
"id": "019983a9-c4c1-7abc-def0-123456789abc",
"subject_type": "group"
}
]

Response

Allowed IP deleted successfully